Subject: Re: random(), srandom()
From: [email-masked] (Derek Karnes)

18 Jan 1998 11:09:38 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: Andrew Neiderer <[email-masked]>
Cc: [email-masked]

Stick these two lines in one of your included header files:
#define random   rand
#define srandom  srand

and this in the file where the functions are being used:
#include <stdlib.h>
which is \gnuwin32\b18\H-i386-cygwin32\i386-cygwin32\include\stdlib.h (which
has rand() and srand())

Should work.

-D

Andrew Neiderer wrote:

> I have an OpenGL program that uses srandom(), random()
> for fractal terrain generation.  I thought the prototypes
> would be in H-i386-cygwin32/i386-cygwin32/include/math.h
> but they are not.  Does anyone know how to handle the
> errors "undefined references ..." to these 2 routines when
> I try to generate the executeable.  Thanks.
>
> - Andy Neiderer
>   [email-masked]

--
--------------------------------
--      Derek L. Karnes       --
--    [email-masked]     --
-- http://www.erols.com/terek --
--------------------------------

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".